## org.apache.lucene.codecs
Class SegmentInfoWriter

    java.lang.Object
      org.apache.lucene.codecs.SegmentInfoWriter

Direct Known Subclasses:
  Lucene40SegmentInfoWriter

    public abstract class SegmentInfoWriter

extends Object

Specifies an API for classes that can write out `SegmentInfo` data.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` `SegmentInfoWriter()` Sole constructor.

Method Summary
`abstract void` `write(Directory dir, SegmentInfo info, FieldInfos fis, IOContext ioContext)` Write `SegmentInfo` data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentInfoWriter

    protected SegmentInfoWriter()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### write

    public abstract void write(Directory dir,
                               SegmentInfo info,
                               FieldInfos fis,
                               IOContext ioContext)
                        throws IOException

  Write `SegmentInfo` data.

  Throws:
    `IOException` - If an I/O error occurs

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.